External resources such as images or documents need to be processed separately from the JSON or XML request body. You can attach a file to an image field or a file attachment field, either when creating a form or when updating an existing form.
To attach an image or file to a form:
- Upload the file using the Files endpoint (POST /v2/files). See Uploading a file for more details.
- After the image has being uploaded, obtain the Id of the file.
- Include the file Id as the value of the id property on the image field or file attachment field when creating or updating the form.
